
class SocketPipe:

    def __init__(self, in_socket, out_socket, out_addr, buffer_size=8192):
        self.in_socket = in_socket
        self.out_socket = out_socket
        self.out_addr = out_addr
        self.buffer_size = buffer_size
    
    def loop(self):
        while True:
            data, addr = self.in_socket.recvfrom(self.buffer_size)
            self.out_socket.sendto(data, self.out_addr)
